# vcf-comparator

### Purpose :
This is a CWL workflow to examine the variant overlapping between two VCFs generated by different workflows or cloud environments from the same cram file. One of the VCF is considered as reference, and to be compared with the other VCF. In return, the result has five columns of value, including true-positive, false-positive, false-negative, sensitivity and precision for both SNP and INDELS.

The workflow includes a checker tool to evaluate the similarity between the compared VCF files as well. A pre-defined sensitivity/precision threshold (e.g. 0.95) is compared against the result metrics generated from the workflow, specifically SNP sensitivity, SNP precision, INDEL sensitivity and INDEL precision. Only if all four aforementioned result metrics values are higher than the threshold, the checker returns success. Otherwise, the checker fails indicating the VCFs cannot be considered equivalent.

### Requirements/expectations 
- Two separated VCF generated for two different workflows (or same workflow in different formats).
- Reference genome must be Hg38 with ALT contigs
- Name of the output text file
- (ONLY FOR CHECKER WORKFLOW) threshold

### Outputs 
- A TXT (tab-separated) file including true-positive, false-positive, false-negative, sensitivity, precision metrics for matching SNP and INDELS in both VCFs.

### Software version requirements :
- GATK 4.beta.3 or later (Concordance tool) (see [gotc docker](https://hub.docker.com/r/broadinstitute/genomes-in-the-cloud/))

Runtime parameters are optimized for Broad's Google Cloud Platform implementation.
